

Patch from Hugh Dickins <hugh@veritas.com>

Userspace shows huge elapsed time across jiffies wrap: with USER_HZ less then
HZ, sys_times needs jiffies_64 to calculate its retval.



 sys.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sys.c~user-times-jiffies-wrap-fix kernel/sys.c
--- 25/kernel/sys.c~user-times-jiffies-wrap-fix	2003-02-22 02:26:15.000000000 -0800
+++ 25-akpm/kernel/sys.c	2003-02-22 02:26:15.000000000 -0800
@@ -870,7 +870,7 @@ asmlinkage long sys_times(struct tms * t
 		if (copy_to_user(tbuf, &tmp, sizeof(struct tms)))
 			return -EFAULT;
 	}
-	return jiffies_to_clock_t(jiffies);
+	return (long) jiffies_64_to_clock_t(get_jiffies_64());
 }
 
 /*

_
